/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02691
 |              SERVICES RESEARCH OUTCOMES STUDY, 1995-1996
 |              (DATASET 0001: FACILITY DIRECTOR INTERVIEW)
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace FAC_ID = . if (FAC_ID <= -1 )
replace YEARCOMP = . if (YEARCOMP <= -1 )
replace MONTH1 = . if (MONTH1 <= -1 )
replace YEAR1 = . if (YEAR1 <= -1 )
replace MONTH2 = . if (MONTH2 <= -1 )
replace YEAR2 = . if (YEAR2 <= -1 )
replace MONTH3 = . if (MONTH3 <= -1 )
replace YEAR3 = . if (YEAR3 <= -1 )
replace MONTH4 = . if (MONTH4 <= -1 )
replace YEAR4 = . if (YEAR4 <= -1 )
replace MONTH5 = . if (MONTH5 <= -1 )
replace YEAR5 = . if (YEAR5 <= -1 )
replace CHANGE = . if (CHANGE <= -1 )
replace OWNER = . if (OWNER <= -1 )
replace ADMIN = . if (ADMIN <= -1 )
replace REORG = . if (REORG <= -1 )
replace OTHCHANG = . if (OTHCHANG <= -1 )
replace NUMCHANG = . if (NUMCHANG <= -1 )
replace OVEFFECT = . if (OVEFFECT <= -1 )
replace EFFECTIV = . if (EFFECTIV <= -1 )
replace YEAREND = . if (YEAREND <= -1 )
replace REVENUE = . if (REVENUE <= -1 )
replace PUBREV = . if (PUBREV <= -1 )
replace PUBREV2 = . if (PUBREV2 <= -1 )
replace PRIVREV = . if (PRIVREV <= -1 )
replace PRIVREV2 = . if (PRIVREV2 <= -1 )
replace PUBINS = . if (PUBINS <= -1 )
replace PUBINS2 = . if (PUBINS2 <= -1 )
replace NPAYHLF = . if (NPAYHLF <= -1 )
replace NPAYHLF2 = . if (NPAYHLF2 <= -1 )
replace OUTPAT = . if (OUTPAT <= -1 )
replace HOUR24 = . if (HOUR24 <= -1 )
replace OTHPROG = . if (OTHPROG <= -1 )
replace FULLTIME = . if (FULLTIME <= -1 )
replace STAFF1 = . if (STAFF1 <= -1 )
replace LEFT1 = . if (LEFT1 <= -1 )
replace NUMBER1 = . if (NUMBER1 <= -1 )
replace HOURS1 = . if (HOURS1 <= -1 )
replace WAGE1 = . if (WAGE1 <= -1 )
replace BENEFIT1 = . if (BENEFIT1 <= -1 )
replace STAFF2 = . if (STAFF2 <= -1 )
replace LEFT2 = . if (LEFT2 <= -1 )
replace NUMBER2 = . if (NUMBER2 <= -1 )
replace HOURS2 = . if (HOURS2 <= -1 )
replace WAGE2 = . if (WAGE2 <= -1 )
replace BENEFIT2 = . if (BENEFIT2 <= -1 )
replace STAFF3 = . if (STAFF3 <= -1 )
replace LEFT3 = . if (LEFT3 <= -1 )
replace NUMBER3 = . if (NUMBER3 <= -1 )
replace HOURS3 = . if (HOURS3 <= -1 )
replace WAGE3 = . if (WAGE3 <= -1 )
replace BENEFIT3 = . if (BENEFIT3 <= -1 )
replace STAFF4 = . if (STAFF4 <= -1 )
replace LEFT4 = . if (LEFT4 <= -1 )
replace NUMBER4 = . if (NUMBER4 <= -1 )
replace HOURS4 = . if (HOURS4 <= -1 )
replace WAGE4 = . if (WAGE4 <= -1 )
replace BENEFIT4 = . if (BENEFIT4 <= -1 )
replace STAFF5 = . if (STAFF5 <= -1 )
replace LEFT5 = . if (LEFT5 <= -1 )
replace NUMBER5 = . if (NUMBER5 <= -1 )
replace HOURS5 = . if (HOURS5 <= -1 )
replace WAGE5 = . if (WAGE5 <= -1 )
replace BENEFIT5 = . if (BENEFIT5 <= -1 )
replace STAFF6 = . if (STAFF6 <= -1 )
replace LEFT6 = . if (LEFT6 <= -1 )
replace NUMBER6 = . if (NUMBER6 <= -1 )
replace HOURS6 = . if (HOURS6 <= -1 )
replace WAGE6 = . if (WAGE6 <= -1 )
replace BENEFIT6 = . if (BENEFIT6 <= -1 )
replace STAFF7 = . if (STAFF7 <= -1 )
replace LEFT7 = . if (LEFT7 <= -1 )
replace NUMBER7 = . if (NUMBER7 <= -1 )
replace HOURS7 = . if (HOURS7 <= -1 )
replace WAGE7 = . if (WAGE7 <= -1 )
replace BENEFIT7 = . if (BENEFIT7 <= -1 )
replace STAFF8 = . if (STAFF8 <= -1 )
replace LEFT8 = . if (LEFT8 <= -1 )
replace NUMBER8 = . if (NUMBER8 <= -1 )
replace HOURS8 = . if (HOURS8 <= -1 )
replace WAGE8 = . if (WAGE8 <= -1 )
replace BENEFIT8 = . if (BENEFIT8 <= -1 )
replace STAFF9 = . if (STAFF9 <= -1 )
replace LEFT9 = . if (LEFT9 <= -1 )
replace NUMBER9 = . if (NUMBER9 <= -1 )
replace HOURS9 = . if (HOURS9 <= -1 )
replace WAGE9 = . if (WAGE9 <= -1 )
replace BENEFIT9 = . if (BENEFIT9 <= -1 )
replace STAFF10 = . if (STAFF10 <= -1 )
replace LEFT10 = . if (LEFT10 <= -1 )
replace NUMBER10 = . if (NUMBER10 <= -1 )
replace HOURS10 = . if (HOURS10 <= -1 )
replace WAGE10 = . if (WAGE10 <= -1 )
replace BENEFI10 = . if (BENEFI10 <= -1 )
replace STAFF11 = . if (STAFF11 <= -1 )
replace LEFT11 = . if (LEFT11 <= -1 )
replace NUMBER11 = . if (NUMBER11 <= -1 )
replace HOURS11 = . if (HOURS11 <= -1 )
replace WAGE11 = . if (WAGE11 <= -1 )
replace BENEFI11 = . if (BENEFI11 <= -1 )
replace STAFF12 = . if (STAFF12 <= -1 )
replace LEFT12 = . if (LEFT12 <= -1 )
replace NUMBER12 = . if (NUMBER12 <= -1 )
replace HOURS12 = . if (HOURS12 <= -1 )
replace WAGE12 = . if (WAGE12 <= -1 )
replace BENEFI12 = . if (BENEFI12 <= -1 )
replace STAFF13 = . if (STAFF13 <= -1 )
replace LEFT13 = . if (LEFT13 <= -1 )
replace NUMBER13 = . if (NUMBER13 <= -1 )
replace HOURS13 = . if (HOURS13 <= -1 )
replace WAGE13 = . if (WAGE13 <= -1 )
replace BENEFI13 = . if (BENEFI13 <= -1 )
replace VOLUNT = . if (VOLUNT <= -1 )
replace VHOURS = . if (VHOURS <= -1 )
replace VWAGE = . if (VWAGE <= -1 )
replace OWNFACE = . if (OWNFACE <= -1 )
replace VALUE = . if (VALUE <= -1 )
replace VALUE2 = . if (VALUE2 <= -1 )
replace RENT = . if (RENT <= -1 )
replace RENT2 = . if (RENT2 <= -1 )
replace UTILITY = . if (UTILITY <= -1 )
replace UTILITY2 = . if (UTILITY2 <= -1 )
replace SUPPLY = . if (SUPPLY <= -1 )
replace SUPPLY2 = . if (SUPPLY2 <= -1 )
replace EQUIP = . if (EQUIP <= -1 )
replace OVHEAD = . if (OVHEAD <= -1 )
replace OTHCOST = . if (OTHCOST <= -1 )
replace PATIENTS = . if (PATIENTS <= -1 )
replace FINKNOW = . if (FINKNOW <= -1 )
replace DATAYR = . if (DATAYR <= -1 )
replace DATADIF = . if (DATADIF <= -1 )
replace PERCDIFF = . if (PERCDIFF <= -1 )
replace STATMNT = . if (STATMNT <= -1 )
replace COPYST = . if (COPYST <= -1 )
replace PARTIC = . if (PARTIC <= -1 )
replace ABSTIN = . if (ABSTIN <= -1 )
replace FOLLOW = . if (FOLLOW <= -1 )
replace PHONE = . if (PHONE <= -1 )
replace MAIL = . if (MAIL <= -1 )
replace INTVIEW = . if (INTVIEW <= -1 )
replace OTHMETH = . if (OTHMETH <= -1 )
replace DATACOL1 = . if (DATACOL1 <= -1 )
replace DATACOL2 = . if (DATACOL2 <= -1 )
replace DATACOL3 = . if (DATACOL3 <= -1 )
replace REPORT = . if (REPORT <= -1 )
replace COPYREP = . if (COPYREP <= -1 )
replace ALUMNI = . if (ALUMNI <= -1 )
replace JCANO = . if (JCANO <= -1 )
replace CARF = . if (CARF <= -1 )
replace MODE = . if (MODE <= -1 )


